#!/usr/bin/python

# purpose: lists all jobs in cluster with the length of their Environment
# usage: bz601828.py <clusterNum>

from qmf.console import *
import sys
cluster = 1
url = "localhost"
s = Session()
b = s.addBroker(url)

try:
    submissions = s.getObjects(_package="com.redhat.grid", _class="submission")

    jobservers = s.getObjects(_package="com.redhat.grid", _class="jobserver")
    jobserver = jobservers[0]

    for sub in submissions:
       sum = sub.GetJobSummaries()
       for job in sum.Jobs:
         proc = "%s.%s" % (cluster, job['ProcId'])
         ad = jobserver.GetJobAd(proc).JobAd
         print "JobID: %5s    len(Environment) = %d" % (proc, len(ad['Environment']))
finally:
    s.delBroker(b)
